#include "/usr/local/src/VxWorks.org/h/vxWorks.h"
#include "/usr/local/src/VxWorks.org/h/stdioLib.h"

void ospf_rxpkt();

int ospf_sock = -1;


void ospf_test()
{
  int src,dst;
  int start;
  char *pkt;

  sock_init();
  if(ospf_sock < 0)
    ospf_sock = ospf_sock_init(ospf_rxpkt);


  start = tickGet();

  while(src != 0x9edc0c03 && src != 0x9edc0c03) {

printf("<<< call recv_packet >>>\n\n");
    recv_packet(&src,&dst,&pkt);

    if(start + 360 < tickGet()) break;


  }
  printf("src = %x,dst = %x\n",src,dst);
}
